/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomFileList_H__
#define __GdomFileList_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "gdom/GdomFile.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomFileList GdomFileList;
typedef struct _GdomFileListClass GdomFileListClass;


#define GDOM_TYPE_FILE_LIST            (gdom_file_list_get_type())
#define GDOM_FILE_LIST(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_FILE_LIST, GdomFileList))
#define GDOM_FILE_LIST_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_FILE_LIST, GdomFileList)Class)
#define GDOM_IS_FILE_LIST(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_FILE_LIST))
#define GDOM_IS_FILE_LIST_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_FILE_LIST))
#define GDOM_FILE_LIST_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_FILE_LIST, GdomFileListClass))

typedef struct _GdomFileListPrivate GdomFileListPrivate;

struct _GdomFileList {
    GdomDOMObject parent_instance;
    GdomFileListPrivate *priv;
};

struct _GdomFileListClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_file_list_get_type (void);

WEBKIT_API GdomFile *
gdom_file_list_item (GdomFileList *thiz, gulong index);

G_END_DECLS

#endif /* __GdomFileList_H__ */
